# snort2pfsense_unblock.sql 

# Author: Josep Pujadas i Jubany
# Date: 05-june-2007

# Please, read http://www.bellera.cat/josep/snort2pfsense for any snort2pfsense information & license terms

# Look at your pfSense box for your snort2c expiretable time (in seconds) ...
SET @pf_timer = 1800;

# snort2pfsense_pftabled contents the IPs to block and DATETIME blocking ...
SET @unblock = NOW();

# Sending to the output (snort2pfsense.sh script) the IPs we just want to unblock NOW ...
SELECT INET_NTOA(ip_blocked) FROM snort2pfsense_pftabled
WHERE (TIME_TO_SEC(TIMEDIFF(@unblock, timestamp)) >= @pf_timer);

# Flushing the afected IPs from snort2pfsense_pftabled ... 
DELETE FROM snort2pfsense_pftabled
WHERE (TIME_TO_SEC(TIMEDIFF(@unblock, timestamp)) >= @pf_timer);
   
