# snort2pfsense_whitelist.sql

# Author: Josep Pujadas i Jubany
# Date: 05-june-2007

# Please, read http://www.bellera.cat/josep/snort2pfsense for any snort2pfsense information & license terms

# Put your whitelisted networks and hosts after the 127.0.0.1 line. Use syntax as examples:

# For network 192.168.125.0/24 (two possibilities listed)

# INSERT INTO snort2pfsense_whitelist (lan, mask) VALUES (INET_ATON('192.168.125.0'), INET_ATON('255.255.255.0')); 
# INSERT INTO snort2pfsense_whitelist (lan, mask) VALUES (INET_ATON('192.168.125.0'), (POW(2, 32) - POW(2, 32 - 24))); 

# For host 192.168.125.10 (three possibilities listed)

# INSERT INTO snort2pfsense_whitelist (lan, mask) VALUES (INET_ATON('192.168.125.10'), INET_ATON('255.255.255.255')); 
# INSERT INTO snort2pfsense_whitelist (lan, mask) VALUES (INET_ATON('192.168.125.10'), (POW(2, 32) - POW(2, 32 - 32))); 
# INSERT INTO snort2pfsense_whitelist (lan, mask) VALUES (INET_ATON('192.168.125.10'), (POW(2, 32) - 1)); 

# Don't forget to whitelist your snort & pfSense boxes !!!

# Ensure that you will have only the INSERT INTO of this file ...
TRUNCATE TABLE snort2pfsense_whitelist;

# This is your whitelist ...
INSERT INTO snort2pfsense_whitelist (lan, mask) VALUES (INET_ATON('127.0.0.1'), INET_ATON('255.255.255.255'));

